Range-v3 Range algorithms, views, and actions for the Standard Library |

Macros
if_constexpr.hpp File Reference

## Macros
#define | RANGES_IF_CONSTEXPR(...) ::ranges::detail::if_constexpr<__VA_ARGS__>{}( RANGES_IF_CONSTEXPR_THEN
#define | RANGES_IF_CONSTEXPR_EAT_ELSE(ELSE) , RANGES_IF_CONSTEXPR_ELSE
#define | RANGES_IF_CONSTEXPR_ELSE(...) [&](auto id)->decltype(auto){__VA_ARGS__} )(::ranges::detail::identity{});
#define | RANGES_IF_CONSTEXPR_RETURN(cond) return RANGES_IF_CONSTEXPR(cond)
#define | RANGES_IF_CONSTEXPR_THEN(...) [&](auto id)->decltype(auto){__VA_ARGS__} RANGES_IF_CONSTEXPR_EAT_ELSE